Subject: Re: DLS support for Ethernet

From: "Shannon Nix" <[email-masked]>
Date: Mon, 3 May 93 16:40:58 EST

On Fri, 30 Apr 93 08:28:25 PDT, <[email-masked]> wrote in response
to Jim Cobban:

>>
>>>3. Different media types/protocols
>>>    a) Ethernet
>>SNA cannot be carried over "Ethernet" as the DIX specification does not
>>provide a reliable logical link control.  If by this requirement you mean
>>support of 802.2 LLC2 over 802.3 CSMA/CD LANs then that sounds like a good
>>requirement.
>
>    SNA over 802.3 is becoming more common now with OS/2 CommMgr,
>    SNA Services/6000 and the AS/400 supporting it.  I don't have my
>    OS/2 manuals with me at the moment but I thought SNA over "Etherand"
>    (i.e. DIX and 802.3) was supported on OS/2 CommMgr.
>    
>    As far as DIX goes, this was a request from Netlink.  Shannon - any
>    comments?
>

SNA may be run over DIX Ethernet.  In fact, we have customer sites requiring
this connectivity.  Frame format goes something like:

The type field in the DIX header is set to 0x80D5.  First two octets of the
next three octets are interpreted as length.  Rest of the frame is identical
to an 802.3 SNA frame.

DIX support really has no implications ( ...that I can think of) in how 
DLSw implementations interoperate.  This being the case, it's not terribly 
germane to our discussion.  Sorry I mentioned it.  The real DLSw Ethernet 
issues are independent of the version of Ethernet.

Rgds, Shannon
>-----------
>Wayne Clark
>cisco Systems, Inc.
>[email-masked]
>415/688-4627
(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)
(*)(*)(*)(*)(*)(*)(*)(*)   Shannon Nix    (*)(*)(*)(*)(*)(*)(*)(*)(*)
(*)(*)(*)(*)(*)(*)(*)      Netlink, Inc.     (*)(*)(*)(*)(*)(*)(*)(*)
(*)(*)(*)(*)(*)(*)(*)  3214 Spring Forest Rd.   (*)(*)(*)(*)(*)(*)(*)
(*)(*)(*)(*)(*)(*)(*)  Raleigh N.C. 27604 USA   (*)(*)(*)(*)(*)(*)(*) 
(*)(*)(*)(*)(*)(*)(*)  Phone:  (919)-878-8612   (*)(*)(*)(*)(*)(*)(*) 
(*)(*)(*)(*)(*)(*)(*)  Fax:    (919)-872-2132   (*)(*)(*)(*)(*)(*)(*) 
(*)(*)(*)(*)(*)(*)(*) Internet: [email-masked] (*)(*)(*)(*)(*)(*)(*) 
(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)(*)